Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2062395 - watchman can't be build on i686 if folly is built with clang
Summary: watchman can't be build on i686 if folly is built with clang
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: watchman
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86
TreeView+ depends on / blocked
 
Reported: 2022-03-09 17:10 UTC by Michel Lind
Modified: 2022-07-22 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-22 16:48:34 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
build log (deleted)
2022-03-09 17:10 UTC, Michel Lind
no flags Details

Description Michel Lind 2022-03-09 17:10:07 UTC
Created attachment 1864959 [details]
build log

Description of problem:
If folly is built with clang (on Fedora >= 36 because of issues with GCC 12), watchman cannot be compiled against it on i686.

Note: still compiling watchman with gcc, as with clang it fails on more platforms. We're on an older version of watchman because newer ones introduce Rust source code.

Version-Release number of selected component (if applicable):
folly-2022.03.07.00-1.fc37
watchman-2021.05.10.00-10


Additional info:
Build log attached

Comment 1 Michel Lind 2022-07-22 16:48:34 UTC
Folly is now built with GCC again (thanks Mamoru!) - however, since the i686 build has tended to be flaky and upstream doesn't really support or test on 32-bit architectures, we've taken the decision to only build the entire stack on 64-bit, little endian architectures (x86_64, aarch64, ppc64le).

So this is no longer an issue.


Note You need to log in before you can comment on or make changes to this bug.